Apache Tomcat 7.0.42

## org.apache.tomcat.util.net
Class SSLImplementation

    java.lang.Object
      org.apache.tomcat.util.net.SSLImplementation

Direct Known Subclasses:
  JSSEImplementation

    public abstract class SSLImplementation

extends Object

Constructor Summary
`SSLImplementation()`

Method Summary
`abstract String` `getImplementationName()`
`static SSLImplementation` `getInstance()`
`static SSLImplementation` `getInstance(String className)`
`abstract ServerSocketFactory` `getServerSocketFactory(AbstractEndpoint endpoint)`
`abstract SSLSupport` `getSSLSupport(Socket sock)`
`abstract SSLSupport` `getSSLSupport(SSLSession session)`
`abstract SSLUtil` `getSSLUtil(AbstractEndpoint ep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLImplementation

    public SSLImplementation()

Method Detail

### getInstance

    public static SSLImplementation getInstance()
                                         throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### getInstance

    public static SSLImplementation getInstance(String className)
                                         throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### getImplementationName

    public abstract String getImplementationName()

### getServerSocketFactory

    public abstract ServerSocketFactory getServerSocketFactory(AbstractEndpoint endpoint)

### getSSLSupport

    public abstract SSLSupport getSSLSupport(Socket sock)

### getSSLSupport

    public abstract SSLSupport getSSLSupport(SSLSession session)

### getSSLUtil

    public abstract SSLUtil getSSLUtil(AbstractEndpoint ep)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.